
#ifndef LAYERFORM_H
#define LAYERFORM_H

#include <QtXml>

#include "ui_LayerForm.h"
#include "ElementForm.h"
#include "techniques.h"


#include "XYQt/FSDoubleValidator.h"

class LayerForm : public QWidget, public  Ui::LayerForm
{
  Q_OBJECT

private:
  QIcon green, gray;

public:
  LayerForm(QWidget * parent, int maxelement);
  virtual   ~LayerForm() {};

  QList<ElementForm *> element;

  void        setFromNode(QDomNode &n);
  QDomElement XMLNode(QDomDocument &doc);

  QString     corteo(QString name, QString compCorrBeam, QString compCorrRecoil, bool *error);

  bool        update(bool isElementDetection, bool isFullCascade);

private slots:
  void        useElementChanged();


};

#endif // LAYERFORM_H
