
#include "randomx.h"

// random function from P. L'Ecuyer, Communications of the ACM 31 (1988) 742
double randomx() {
  int z,k;
  k = seed1 / 53668;
  seed1 = 40014 * (seed1 - k * 53668) - k * 12211;
  if (seed1 < 0) seed1 = seed1 + 2147483563;
  k = seed2 / 52774;
  seed2 = 40692 * (seed2 - k * 52774) - k * 3791;
  if (seed2 < 0) seed2 = seed2 + 2147483399;
  z = seed1 - seed2;
  if (z < 1) z = z + 2147483562;
  return z * 4.65661305956E-10;
}
